/**
 * k-cocos 扩展库
 * 作者： kuokuo
 * 地址： https://github.com/KuoKuo666/k-cocos
 * QQ讨论群： 1085201157
 */

(function (global) {
    'use strict';

    var cc = global.cc;
    cc.log('k-cocos v0.1');

    // 游戏速率
    cc.director._kSpeed = 1;
    // var _originCalculateDeltaTime =  cc.Game.prototype._calculateDT
    // var _originCalculateDeltaTime = cc.Director.prototype.calculateDeltaTime;
    // cc.Director.game._calculateDT
    cc.Game.prototype._calculateDT = function (now) {
        
        if (!now) now = performance.now();
        this._deltaTime = now > this._startTime ? (now - this._startTime) / 1000 : 0;
        this._startTime = now;
        this._deltaTime *= cc.director._kSpeed;
        return this._deltaTime;
    }

    cc.kSpeed = function (speed) {
        cc.director._deltaTime *= cc.director._kSpeed;
        // c
        // console.log(cc.director._deltaTime)
        cc.director._kSpeed = speed;
    }

    cc.kGetSpeed = function () {
        return cc.director._kSpeed
    }


})(window)
